import { Element } from "../../components/element.interface";
import { Logger } from "../../libs/logger";
import { EchoProps } from "./echo.props";
export default class Echo implements Element {
    error?: any;
    content: any;
    tag: string;
    style?: string;
    logger: Logger;
    pretty?: boolean;
    init(props: EchoProps): Promise<void>;
    exec(): Promise<any>;
    private chalkByType;
    private prettyFormat;
    private format;
    dispose(): Promise<void>;
}
